MyGUI: MyGUI::DataStream Class Reference

MyGUI 3.2.2

Public Member Functions | Protected Attributes
MyGUI::DataStream Class Reference

`#include <MyGUI_DataStream.h>`

Inheritance diagram for MyGUI::DataStream:
[legend]

## Public Member Functions
| DataStream ()
| DataStream (std::istream *_stream)
virtual | ~DataStream ()
virtual bool | eof ()
virtual size_t | size ()
virtual void | readline (std::string &_source, Char _delim)
virtual size_t | read (void *_buf, size_t _count)
Public Member Functions inherited from MyGUI::IDataStream
virtual | ~IDataStream ()

## Protected Attributes
std::istream * | mStream
size_t | mSize

## Detailed Description

Definition at line 16 of file MyGUI_DataStream.h.

## Constructor & Destructor Documentation

## ◆ DataStream() [1/2]

MyGUI::DataStream::DataStream | ( |  | ) |

Definition at line 13 of file MyGUI_DataStream.cpp.

## ◆ DataStream() [2/2]

MyGUI::DataStream::DataStream | ( | std::istream * | _stream | ) |

Definition at line 19 of file MyGUI_DataStream.cpp.

## ◆ ~DataStream()

MyGUI::DataStream::~DataStream | ( |  | ) |
| virtual

Definition at line 25 of file MyGUI_DataStream.cpp.

## Member Function Documentation

## ◆ eof()

bool MyGUI::DataStream::eof | ( |  | ) |
| virtual

Implements MyGUI::IDataStream.

Definition at line 41 of file MyGUI_DataStream.cpp.

## ◆ read()

size_t MyGUI::DataStream::read | ( | void * | _buf,
|  | size_t | _count
| ) |  |
| virtual

Implements MyGUI::IDataStream.

Definition at line 52 of file MyGUI_DataStream.cpp.

## ◆ readline()

void MyGUI::DataStream::readline | ( | std::string & | _source,
|  | Char | _delim
| ) |  |
| virtual

Implements MyGUI::IDataStream.

Definition at line 46 of file MyGUI_DataStream.cpp.

## ◆ size()

size_t MyGUI::DataStream::size | ( |  | ) |
| virtual

Implements MyGUI::IDataStream.

Definition at line 29 of file MyGUI_DataStream.cpp.

## Field Documentation

## ◆ mSize

size_t MyGUI::DataStream::mSize
| protected

Definition at line 31 of file MyGUI_DataStream.h.

## ◆ mStream

std::istream* MyGUI::DataStream::mStream
| protected

Definition at line 30 of file MyGUI_DataStream.h.

The documentation for this class was generated from the following files:

- MyGUI_DataStream.h
- MyGUI_DataStream.cpp